import { Data } from 'hsdatab';
import { Defaults } from './Defaults';
export declare type UnitVp = number;
export declare type UnitPx = number;
export declare type Unit = string | UnitPx;
export interface PlotFn {
    (data: Data): void;
}
export interface PlotFnDef {
    (data: Data, desc: PlotCfg, ...rest: Array<string | number>): void;
}
export interface RectDef {
    x: UnitVp;
    y: UnitVp;
    width: UnitVp;
    height: UnitVp;
}
export declare type scaleTypes = 'linear' | 'log';
export declare type d3Base = d3.Selection<d3.BaseType, unknown, HTMLElement, any>;
export interface GraphCfg {
    root: any;
    baseSVG: d3Base;
    client: RectDef;
    viewPort: {
        width: UnitVp;
        height: UnitVp;
    };
    defaults: Defaults;
    scales: {
        hor: {
            dataCol: string;
            scale: any;
        };
        ver: {
            dataCol: string;
            scale: any;
        };
    };
}
export interface PlotCfg {
    cfg: GraphCfg;
    plotBase: d3Base;
    margin: {
        left: number;
        top: number;
        right: number;
        bottom: number;
    };
}
