import { UnitVp } from './ConfigTypes';
import { scaleTypes } from './ConfigTypes';
export declare type Color = string;
export declare type ZeroToOne = number;
export declare type Index = number;
export interface Area {
    color: Color;
    opacity: ZeroToOne;
}
export interface Line {
    width: UnitVp;
    color: Color;
    opacity: ZeroToOne;
}
export interface RectStyle {
    rx: UnitVp;
    ry: UnitVp;
    fill: Area;
    stroke: Line;
}
export interface TextStyle {
    color: Color;
    font: {
        family: string;
        size: UnitVp | string;
        style: string;
        weight: string;
    };
}
export interface GraphDefaults {
    canvas: RectStyle;
}
export interface PlotDefaults {
    area: RectStyle;
}
export interface SeriesDefaults {
    line: Line;
    marker: {
        fill: Area;
        stroke: Line;
    };
}
export interface ScaleDefaults {
    type: scaleTypes;
    domain: {
        min: number | 'auto';
        max: number | 'auto';
    } | string[];
    range: {
        min: UnitVp;
        max: UnitVp;
    };
}
export interface AxisDefaults {
    line: Line;
    tickMarks: Line;
    tickLabel: TextStyle;
}
export interface AxesDefaults {
    hor: AxisDefaults;
    ver: AxisDefaults;
}
